package com.mdd.admin.validate.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("用户设置参数")
public class SettingUserValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("默认头像")
   private String defaultAvatar = "";

   public String getDefaultAvatar() {
      return this.defaultAvatar;
   }

   public void setDefaultAvatar(String defaultAvatar) {
      this.defaultAvatar = defaultAvatar;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingUserValidate)) {
         return false;
      } else {
         SettingUserValidate other = (SettingUserValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$defaultAvatar = this.getDefaultAvatar();
            Object other$defaultAvatar = other.getDefaultAvatar();
            if (this$defaultAvatar == null) {
               if (other$defaultAvatar != null) {
                  return false;
               }
            } else if (!this$defaultAvatar.equals(other$defaultAvatar)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingUserValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $defaultAvatar = this.getDefaultAvatar();
      result = result * 59 + ($defaultAvatar == null ? 43 : $defaultAvatar.hashCode());
      return result;
   }

   public String toString() {
      return "SettingUserValidate(defaultAvatar=" + this.getDefaultAvatar() + ")";
   }
}
